Subject: Re: [SWIPL] question on starting out

From: Pascal Bourguignon <[email-masked]>
Date: Fri, 20 Jul 2001 19:38:34 +0200 (CEST)

> Date: Thu, 19 Jul 2001 23:24:31 +0300
> From: Adam Zachary Wyner <[email-masked]>
> 
> Hi,
> I'm a prolog novice with a basic problem.  I've downloaded and installed
> the latest version for Windows 95 and the manual.  At the ?- prompt, I
> get | as a response to queries; I can get help at |, and get the
> previous command, and abort to return to ?-.  But nothing else -- no
> arithmetic or others.  I can't find | in the manual.  What is it?  I
> could really use a very basic intro to the system, just get me started,
> but don't see the right materials at the site.
> Thanks,
> Adam

Prolog phrases must be terminated with a dot ('.').

[pascal@thalassa osii]$ pl
Welcome to SWI-Prolog (Version 4.0.2)
Copyright (c) 1990-2000 University of Amsterdam. 
Copy policy: GPL-2 (see www.gnu.org)

For help, use ?- help(Topic). or ?- apropos(Word).

?- 1 < 2 
|    .

Yes
?- 1 < 2 .

Yes
?- 1 <
|    2 .

Yes

'|' is a continuation prompt. It  allow you to type in a Prolog phrase
on two or more lines. If you've nothing more to add, just type '.' and
RETURN.

-- 
__Pascal_Bourguignon__              (o_ Software patents are endangering
()  ASCII ribbon against html email //\ the computer industry all around
/\  and Microsoft attachments.      V_/ the world http://lpf.ai.mit.edu/
1962:DO20I=1.100  2001:my($f)=`fortune`;  http://petition.eurolinux.org/

-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GCS/IT d? s++:++(+++)>++ a C+++  UB+++L++++$S+X++++>$ P- L+++ E++ W++
N++ o-- K- w------ O- M++$ V PS+E++ Y++ PGP++ t+ 5? X+ R !tv b++(+)
DI+++ D++ G++ e+++ h+(++) r? y---? UF++++
------END GEEK CODE BLOCK------